Subject: AOP interceptor removes default value from method argument
Description

When activating an AOP interceptor for a method

public function indexAction(array $someArray = array)

I'm receiving following runtime notice:

Declaration of F3\Viewhelpertest\Controller\StandardController_AOPProxy_Development::indexAction() should be compatible
with that of F3\Viewhelpertest\Controller\StandardController::indexAction()

The reason is, that in the AOP proxy class the declaration looks like

public function indexAction(array $someArray)

Associated revisions
Revision cd3c8464 - 2010-08-23 16:19 - Karsten Dambekalns

[+BUGFIX] FLOW3 (AOP): AOP now correctly adds default value from method argument for array values, fixes #8554.

Change-Id: I4a65aefd3fec57b605406fabfb766c506a10499b

History
#1 - 2010-08-16 13:35 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns
- Target version set to 1.0 alpha 11
- Start date changed from 2010-06-29 to 2010-08-16
- Estimated time set to 2.00

#2 - 2010-08-16 14:42 - Karsten Dambekalns

Well, default values are put into proxy classes, just not for default values that are of type array... :)
#3 - 2010-08-16 15:04 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r4987.
